//-----------------------------------------------------------
//
//-----------------------------------------------------------
class MSBSetCamNode extends MSBScriptNode;

var MSBActor CameraActor;
var bool ShakyCam;
var Actor LookTarget;
var float FOV;
var bool bDepth;
var PlayerController PC;



function fillSequence()
{
 local MSBAction_SetCamera sC;

 super.fillSequence();

 //create new Action and set our Properties
 PC=Level.GetLocalPlayerController();

 sC=new(none) class'MSBAction_SetCamera';
 sC.pc=PC;
 sC.ViewActor=CameraActor;
 sC.ShakyCam=ShakyCam;
 sC.LookTarget=LookTarget;
 if (CameraActor.IsA('MSBCamera'))
   {
   MSBCamera(CameraActor).bDepth=bDepth;
   if (FOV==0 && MSBCamera(CameraActor).FOV>0)
    FOV=MSBCamera(CameraActor).FOV;
   if (LookTarget!=None)
    {
    CameraActor.SetRotation(rotator(LookTarget.Location-CameraActor.Location));
    CameraActor.initialRotation=rotator(LookTarget.Location-CameraActor.Location);
    }
   }
 sC.FOV=FOV;

 Actions[0]=sC;
}

function execute(string Data)
{
 local MSBCamera MSC;

 PC=Level.GetLocalPlayerController();

 if (MSBCamera(CameraActor)!=None)
  {
  MSC=MSBCamera(CameraActor);
  if (LookTarget!=None)
    MSC.SetRotation(rotator(LookTarget.Location-MSC.Location));
  if (FOV>0)
    {
    MSC.FOV=FOV;
    pc.SetFOV(MSC.FOV);
    }
  else
    pc.SetFOV(MSC.FOV);
   MSC.bShaky=ShakyCam;
  if (LookTarget!=None)
    MSC.ViewTarget=LookTarget;
  }
 pc.SetViewTarget(CameraActor);

}

function Reset()
{
super.Reset();
if (CameraActor!=None)
  CameraActor.Reset();
}

defaultproperties
{
Description="SetCamera"
}

