//-----------------------------------------------------------
//-----------------------------------------------------------
class MSBTweenObjectNode extends MSBScriptNode;

var MSBActor AssignTo;
var Actor TweenTarget;
var float moveTime;
var float rotTime;

function fillSequence()
{
local MSBAction_TweenToPoint ttp;
local Action_WaitForTimer wt;

Super.fillsequence();

 //create new MoveToPoint Action and set our Properties
wt=new(None) class'Action_WaitForTimer';
wt.PauseTime=moveTime;

if (AssignTo!=None)
  {
  ttp=new(None) class'MSBAction_TweenToPoint';
  // Keyframe check:
  if (TweenTarget==None && AssignTo.Keys[0]!=None)
    TweenTarget=AssignTo.Keys[0];
  ttp.TweenActor=AssignTo;
  ttp.TweenTarget=TweenTarget;
  ttp.MoveTime=MoveTime;
  ttp.RotateTime=rotTime;
  Actions[0]=ttp;
  Actions[1]=wt;
  }
}


defaultproperties
{
Description="MoveTarget"
}
