//-----------------------------------------------------------
//
//-----------------------------------------------------------
class MSBCreateControlledProp extends MSB3DSpawnButton;

var Material myMat;

function LeftBtnFinished(Canvas C)
{
local MSBMasterBlock Mas;

Mas=MSBMasterBlock(SpawnActor);

//Camera Input Control
if (Mas.MSBInputControl==None)
  {
  Mas.MSBInputControl=Spawn(class'MSBGametrakInputControl',SpawnActor,,SpawnActor.Location);
  Log("We now have a GametrakInputControl for this Prop!!!");

  Mas.ButtonList[6]="MSBPropertyButtons.MSBPropertyButtonText";
  Mas.Properties[6]="UdpPadCh";
  Mas.ButtonMat[6]="MoviesandboxTextures.icon_puppet";
  Mas.Skins[0]=myMat;
  Mas.Skins[2]=myMat;
  Mas.SetCollision(true,true);

  Mas.P=Mas;
  Mas.BoneNumber=-1;
  Mas.SetRotation(0*Rotation);
  Mas.bInputControlled=true;
  Mas.InputControlClassName="MSBObjects.MSBGametrakInputControl";
  }
super.LeftBtnFinished(C);
}

DefaultProperties
{
tooltip1="Spawn a controlled Prop"
tooltip2="Place controlled Prop"

//col=(R=32,G=64,B=128)
SpawnActorClassName="MSBObjects.MSBMasterBlock";
Mat=Texture'MoviesandboxTextures.icon_ball'
myMat=Material'MoviesandboxTextures.TransGreen'
}
