//-----------------------------------------------------------
//
//-----------------------------------------------------------
class MSBMouthBlock extends MSBSimpleBlock;

var () float mouthOpenTime;
var bool bInit;
var () vector MouthOpenLocation;
var () vector MouthClosedLocation;
var () vector OriginalLocation;

event initMouth()
{
bInit=true;
Log("Mouth initialised on MasterBone"@Master);
OriginalLocation=iniRelLocation;
}

event Talk()
{
if (!bInit)
  initMouth();
SetTimer(mouthOpenTime,false);
openMouth();
}

function Timer()
{
closeMouth();
}

function openMouth()
{
iniRelLocation=OriginalLocation+MouthOpenLocation;
Log("Mouth Open!");
}

function closeMouth()
{
iniRelLocation=OriginalLocation;
Log("Mouth Closed!");
}

DefaultProperties
{
MouthOpenLocation=(x=0,y=-1,z=0);
mouthOpenTime=0.2;
}
