//-----------------------------------------------------------
//
//-----------------------------------------------------------
class MSBPoseLoadButton extends MSBListButton;

var string loadName;
var MSBPoseWidget Parent;

event PostBeginPlay()
{
local int i;
super.PostBeginPlay();
for (i=0;i<M.SavePoses.length;i++)
  ButtonList[i]="MSBPropertyButtons.MSBPropertyButtonAssign";
}

function createButtons()                      //spawns subButtons
{
local int i;

for (i=0;i<M.SavePoses.length+1;i++)
  ButtonList[i]="MSBPropertyButtons.MSBPropertyButtonAssign";

super.createButtons();

for (i=0;i<ListButton.length;i++)
  {
  if (ListButton[i]!=None)
   {
   MSBPropertyButton(ListButton[i]).Property="LoadName";
   MSBPropertyButton(ListButton[i]).BtnName=M.SavePoses[liststart+i];
   MSBPropertyButton(ListButton[i]).Parent=self;
   }
  }
}


function initButton(Canvas C)
{
super.initButton(C);

C.SetPos(xPos,yPos);
C.SetDrawColor(textCol.R,textCol.G,textCol.B);
C.DrawText(BtnName);
C.SetDrawColor(col.R,col.G,col.B);
}


event Trigger(Actor Other, Pawn EventInstigator)
{
local int i;
local MSBAniKey A;

super.Trigger(Other,EventInstigator);

if(!Other.IsA('MSBScrollBar'))
  {
  Log("loading Pose!");
  for (i=0;i<Parent.lastbone;i++)
    {
    A=Level.Game.LoadDataObject(class'MSBAniKey',loadname$"Key"$i,"MSBPose_"$loadName);
    Parent.Pose.PoseKey[i].BoneRotation=A.BoneRotation;
    Parent.Pose.PoseKey[i].KeyActor=Parent.PoseActor;
    Parent.Pose.PoseKey[i].changeBoneRotation();
    Parent.Pose.PoseKey[i].OriginOffset=A.OriginOffset;
    Parent.Pose.PoseKey[i].changeBoneLocation();
    A=None;
    }
  }

}



DefaultProperties
{
widthRel=48
heightRel=48
BtnName=""
tooltip="Load a Pose"
listOrientation=1
Mat=Texture'MoviesandboxTextures.icon_load'
}
