//-----------------------------------------------------------
//
//-----------------------------------------------------------
class MSBContainerButton extends MSBExtendedListButton;

var array<int> containedScriptNodes;
var array<int> containedNodes;
var array<int> containedComplexButtons;
var array<int> containedActors;
var array<int> containedPawns;
var array<int> containedContainers;
var array<int> containedSpecial;

var bool bCollapsed;


event PostBeginPlay()
{
super.PostBeginPlay();
M.LevelContainers[M.LevelContainers.length]=self;
Log("a container has been created!");
}

function IsSelected(Canvas C)
{
local int i;

C.SetDrawColor(overlayCol.R,overlayCol.G, overlayCol.B, overlayCol.A);
C.SetPos(xPos,yPos);
if (Mat!=None)
  C.DrawTile(Mat,width,height,0,0,U,V);

for (i=0;i<Mouse.selectedButtons.Length;i++)
  if (Mouse.selectedButtons[i]!=None && Mouse.selectedButtons[i]==self)
    return;
Mouse.selectedButtons[i]=self;
Log("I was added to the list at number "@i);
}

function hideContent(bool bContained)
{
local int i;

for (i=0;i<containedScriptNodes.length;i++)
  M.LevelMSBScriptNodes[containedScriptNodes[i]].bContained=bContained;

for (i=0;i<containedNodes.length;i++)
  M.LevelNodes[containedNodes[i]].bContained=bContained;

//Actor hiding needs ideas for multi-selection maybe?
for (i=0;i<containedActors.length;i++)
  M.LevelActors[containedActors[i]].bHidden=bContained;

for (i=0;i<containedActors.length;i++)
  M.LevelPawns[containedPawns[i]].bHidden=bContained;

  //switch State
bCollapsed=!bCollapsed;
}

function LeftBtn(Canvas C)
{
super.LeftBtn(C);
//check state and hide/show accordingly
if (bCollapsed)
  hideContent(true);
else
  hideContent(false);

hasClicked=false;

}



DefaultProperties
{
widthRel=70
heightRel=18
col=(R=255,G=255,B=100,A=128)
BtnName="Container"
bDragable=true
bCollapsed=true
ButtonList(0)="MSBPropertyButtons.MSBPropertyButtonText"
Properties(0)="BtnName"
}
