//-----------------------------------------------------------
//
//-----------------------------------------------------------
class MSBCreateWrappedActorButton extends MSB3DSpawnButton;

var string WrappedActorClassName;

function LeftBtnFinished(Canvas C)
{
local class<Actor> ActorClass;

ActorClass = class<Actor>(DynamicLoadObject(WrappedActorClassName, class'Class'));
Log("Spawning the wrapped actor...");
MSBActorWrapper(SpawnActor).Child=Spawn(ActorClass, SpawnActor,'Wrapped',SpawnActor.Location,SpawnActor.Rotation);
MSBActorWrapper(SpawnActor).WrappedActorClassName=WrappedActorClassName;
if (MSBActorWrapper(SpawnActor).Child==None)
  M.warningmessage("WrappedActor could not be spawned! Check bNoDelete and bStatic in Actor class!");

super.LeftBtnFinished(C);
}


DefaultProperties
{
SpawnActorClassName="MSBObjects.MSBActorWrapper"
}
