class MSBUdpLink extends UdpLink;

var int iPort;   // server port number
var IpAddr Addr;
var Actor Parent;
var string Data;
var byte byteData[255];

function InitUdpLink(int port)   //  Basic UDP Setup
{
  ReceiveMode = RMODE_Event; // We are manually catching incomming data
  LinkMode = MODE_Binary;      // We expect to receive data in Binary format

  if (port>0)
    iPort=Port;

  GetLocalIp(Addr);
  addr.port = iPort;
  BindPort(addr.port, true);
  if (Owner!=None && Parent==None)
    Parent=Owner;

  Log("initialised UDP Link to port:"@port@"and sending data to:"@Parent);
}

event ReceivedBinary(IpAddr Addr, int Count, byte B[255])
{
local int i;

for (i=0;i<count;i++)
  {
   byteData[i]=B[i];
   Data$=Chr(B[i]);
  }
if(Parent!=None)
  Parent.Trigger(self, None);
}

defaultproperties
{
     iPort=4444
}

