//-----------------------------------------------------------
//
//-----------------------------------------------------------
class MSBPropertyButtonScaleBlocks extends MSBPropertyButton;

var float chgScale;

var float oldX,
          oldY,
          dTime;

var bool bShift;

var EPhysics OldPhysics;

function InitButton(Canvas C)
{
super.initButton(C);
}

function Tick(float DeltaTime)
{
dTime=DeltaTime;
}

function Render(Canvas C)
{
local int i;
local float iniDrawScale;

super.Render(C);
if (bEnabled)
 {
  if (bDragged)
    {
    chgScale=(Mouse.xPos-oldX);
    chgScale-=(Mouse.yPos-oldY);

    //Limit changeScale
    if (chgScale< 0)
      chgScale=-0.01*dTime;
    if (chgScale>0)
      chgScale=0.01*dTime;

    for (i=0;i<MSBMasterBlock(Mouse.lastSelectedActor).S.Length;i++)
      {
      if (chgScale<0 && MSBMasterBlock(Mouse.lastSelectedActor).S[i].initialDrawScale>0.005)
        {
        iniDrawScale=MSBMasterBlock(Mouse.lastSelectedActor).S[i].initialDrawScale;
        //accomodate for rounding bug
        if (Abs(iniDrawScale%0.005)>0)
          iniDrawScale+=iniDrawScale%0.005;
        iniDrawScale+=chgScale;
        MSBMasterBlock(Mouse.lastSelectedActor).S[i].initialDrawScale+=chgScale;
        MSBMasterBlock(Mouse.lastSelectedActor).S[i].iniRelLocation=MSBMasterBlock(Mouse.lastSelectedActor).S[i].iniRelLocation*(1+chgScale/iniDrawScale);
        }
      if (chgScale>0 && MSBMasterBlock(Mouse.lastSelectedActor).S[i].initialDrawScale<1.5)
        {
        iniDrawScale=MSBMasterBlock(Mouse.lastSelectedActor).S[i].initialDrawScale;
        if (Abs(iniDrawScale%0.005)>0)
          iniDrawScale-=iniDrawScale%0.005;
        iniDrawScale+=chgScale;
        MSBMasterBlock(Mouse.lastSelectedActor).S[i].initialDrawScale+=chgScale;
        MSBMasterBlock(Mouse.lastSelectedActor).S[i].iniRelLocation=MSBMasterBlock(Mouse.lastSelectedActor).S[i].iniRelLocation*(1+chgScale/iniDrawScale);
        }
      }
    Mouse.xPos=oldX;
    Mouse.yPos=oldY;
    chgScale=0*chgScale;
    }

 if (hasClicked && Mouse.btnOne)
    {
    hasClickedAgain=true;
    LeftBtnFinished(C);
    hasClickedAgain=false;
    }
 if (hasClicked && Mouse.bShiftDown && !bShift)
    PressShift(C);
 }

if (!Mouse.bShiftDown)
 bShift=false;
}

function PressShift(Canvas C)
{
bShift=true;
}



function LeftBtn(Canvas C)
{
super.LeftBtn(C);
bDragged=true;
Mouse.bHitActors=false;
oldX=Mouse.xPos;
oldY=Mouse.yPos;
M.disableMidLayer();

if (MSBMasterBlock(Mouse.lastSelectedActor).S.length==0)
  {
  M.warningmessage("Master Block is empty!"@"/n"@Mouse.lastSelectedActor@"/n"@Mouse.lastSelectedActor);
  LeftBtnFinished(C);
  }
}

function LeftBtnFinished(Canvas C)
{
local int i;

HasClicked=false;
//enable all other buttons after second press
for (i=0;i<M.myHud.Overlays.Length-1;i++)
  if (M.myHud.Overlays[i].IsA('MSBGuiOverlay'))
    MSBGuiOverlay(M.myHud.Overlays[i]).bEnabled=true;

Mouse.btnOne=false;
bDragged=false;

//if we scale a Pawn, then set InitialLocation in depending MSBRootNode
if (Mouse.bShiftDown)
  Parent.SetCollisionSize(VSize(Parent.DrawScale3D)*Parent.CollisionRadius,VSize(Parent.DrawScale3D)*Parent.CollisionHeight);

Parent.SetPhysics(OldPhysics);
Mouse.bHitActors=true;
M.enableMidLayer();
}

DefaultProperties
{
BtnName="Scale"
}
