class MSBpencilShader extends MSBVoxelShader;

var Material BrushMat;
var ColorModifier colMat;
var FinalBlend shad;

var int texPointer;
var float currTime,changeTime,thresh;
var bool bBlack;
var float pencilScale;
var PlayerController PC;
var vector oldlocation;
var bool bHaveDrawScale;
//eyes blinking
var int blinkCount;
var int blinkLevel;

var string pencilTex;

function initShader(color col)
{
local int penNumber;
local float uneven;

super.initShader(col);

PenNumber=FRand()*3+2;
BrushMat=Texture(DynamicLoadObject(PencilTex$"0"$PenNumber, class'Texture'));

colMat=new class'ColorModifier';
colMat.Color=col;
uneven=FRand()*12;
colMat.Color.R=FClamp(colMat.Color.R+uneven,0,255);
colMat.Color.G=FClamp(colMat.Color.G+uneven,0,255);
colMat.Color.B=FClamp(colMat.Color.B+uneven,0,255);
colMat.Color.A=255;
colMat.RenderTwoSided=false;

shad=new class'FinalBlend';
//shad.FrameBufferBlending=FB_AlphaModulate_MightNotFogCorrectly;
shad.FrameBufferBlending=FB_AlphaBlend;
colMat.Material=BrushMat;

//Non-uniform strokes
Parent.SetDrawScale(originalDrawScale+FRand()*0.5);


shad.Material=colMat;
shad.TwoSided=true;
shad.ZWrite=false;
shad.ZTest=true;
shad.AlphaTest=true;
if (pencilScale==0)
  pencilScale=0.07;
Parent.SetDrawScale3D(pencilScale*Parent.DrawScale3D);
//Log(Parent.DrawScale3D@originalDrawScale3D);
//Parent.SetDrawScale(0.3*originalDrawScale);

Parent.SetDisplayProperties(STY_Normal,shad,false);
Parent.SetDrawType(DT_Sprite);
}

function Shade(float DeltaTime, color col)
{
super.Shade(DeltaTime,col);
}

defaultproperties
{
PencilTex="MoviesandboxTextures.pencil"
changeTime=0.15
pencilScale=0.07
thresh=0.02

Properties(0)="pencilScale"
Properties(1)="PencilTex"
}
